''' 
Simple python script that reads data in from "data.txt" and
plots T vs X, T vs V, and X vs V (phase portrait). Data must look like:
x1 v1 t1
x2 v2 t2
etc...
'''

from pylab import *

FIN = open("data.txt", 'r')

X = []
V = []
T = []

for line in FIN:
	data = line.split(' ')
	X.append( float(data[0]) )
	V.append( float(data[1]) )
	T.append( float(data[2]) )
	#print data

plot(T,X)
plot(T,V)

figure(2)

plot(X,V)

show()

